JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinDef.WPARAM

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.platform.win32.WinDef.UINT_PTR
                  com.sun.jna.platform.win32.WinDef.WPARAM

All Implemented Interfaces:
  NativeMapped, Serializable

Enclosing interface:
  WinDef

    public static class WinDef.WPARAM

extends WinDef.UINT_PTR

Message parameter.

See Also:
  Serialized Form

Constructor Summary
`WinDef.WPARAM()`
`WinDef.WPARAM(long value)`

Method Summary

Methods inherited from class com.sun.jna.platform.win32.WinDef.UINT_PTR
`toPointer`

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinDef.WPARAM

    public WinDef.WPARAM()

### WinDef.WPARAM

    public WinDef.WPARAM(long value)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.